Package ru.bitel.bgbilling.modules.rscm.common.bean

# Class RSCMContractService.Builder

java.lang.Object
ru.bitel.bgbilling.modules.rscm.common.bean.RSCMContractService.Builder

Enclosing class:
  `RSCMContractService`

public static class RSCMContractService.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RSCMContractService`
  `build()`
  `RSCMContractService.Builder`
  `setAmountDown(int amountDown)`
  `RSCMContractService.Builder`
  `setAmountUp(int amountUp)`
  `RSCMContractService.Builder`
  `setComment(String comment)`
  `RSCMContractService.Builder`
  `setContractId(int contractId)`
  `RSCMContractService.Builder`
  `setCost(BigDecimal cost)`
  `RSCMContractService.Builder`
  `setDate(LocalDate date)`
  `RSCMContractService.Builder`
  `setId(int id)`
  `RSCMContractService.Builder`
  `setInstallmentId(int installmentId)`
  `RSCMContractService.Builder`
  `setLast(boolean last)`
  `RSCMContractService.Builder`
  `setServiceId(int serviceId)`
  `RSCMContractService.Builder`
  `setServiceTitle(String serviceTitle)`
  `RSCMContractService.Builder`
  `setUnit(String unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public RSCMContractService.Builder setId(int id)

  - ### setComment

    public RSCMContractService.Builder setComment(String comment)

  - ### setContractId

    public RSCMContractService.Builder setContractId(int contractId)

  - ### setServiceId

    public RSCMContractService.Builder setServiceId(int serviceId)

  - ### setInstallmentId

    public RSCMContractService.Builder setInstallmentId(int installmentId)

  - ### setUnit

    public RSCMContractService.Builder setUnit(String unit)

  - ### setDate

    public RSCMContractService.Builder setDate(LocalDate date)

  - ### setServiceTitle

    public RSCMContractService.Builder setServiceTitle(String serviceTitle)

  - ### setAmountUp

    public RSCMContractService.Builder setAmountUp(int amountUp)

  - ### setAmountDown

    public RSCMContractService.Builder setAmountDown(int amountDown)

  - ### setLast

    public RSCMContractService.Builder setLast(boolean last)

  - ### setCost

    public RSCMContractService.Builder setCost(BigDecimal cost)

  - ### build

    public RSCMContractService build()